Subject: bug#25905: 25.1; Can't find regexp and replace in SVG files

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Dec 2020 13:35:44 +0100

Juri Linkov <[email-masked]> writes:

> A general solution is to customize image-visiting mode as text
> by adding to the init file:
>
>   (push '("\\.svgz?\\'" . image-mode-as-text) auto-mode-alist)
>
> I don't know whether or where this solution could be mentioned more,
> but currently this is documented in image-mode-as-text:
>
>   You can use `image-mode-as-text' in `auto-mode-alist' when you want
>   to display an image file as text initially.

I don't think that's a general solution -- most people would want Emacs
to display .svg files as images, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no